package borealis

import (
	events "github.com/aurora-is-near/aurora-events/go"
)

type GrantAccess events.GrantAccess
type RegisterID events.RegisterID
type RevokeAccess events.RevokeAccess
type SendEmail events.SendEmail
type VerifyEmail events.VerifyEmail

const (
	EventTypeUnknown EventType = iota
	EventTypeGrantAccess
	EventTypeRegisterID
	EventTypeRevokeAccess
	EventTypeSendEmail
	EventTypeVerifyEmail
)
